Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.objects
Class XBoolean

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.objects.XObject
                  |
                  +--weblogic.apache.xpath.objects.XBoolean

Direct Known Subclasses:
  XBooleanStatic

public class XBoolean
extends XObject

This class represents an XPath boolean object, and is capable of converting the boolean to other types, such as a string.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Field Summary
`static XBoolean` | `S_FALSE` A true boolean object so we don't have to keep creating them.
`static XBoolean` | `S_TRUE` A true boolean object so we don't have to keep creating them.

Fields inherited from class weblogic.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE, m_obj`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`XBoolean(boolean b)` Construct a XBoolean object.
`XBoolean(java.lang.Boolean b)` Construct a XBoolean object.

Method Summary
`boolean` | `bool()` Cast result object to a boolean.
`boolean` | `equals(XObject obj2)` Tell if two objects are functionally equal.
`int` | `getType()` Tell that this is a CLASS_BOOLEAN.
`java.lang.String` | `getTypeString()` Given a request type, return the equivalent string.
`double` | `num()` Cast result object to a number.
`java.lang.Object` | `object()` Return a java object that's closest to the representation that should be handed to an extension.
`java.lang.String` | `str()` Cast result object to a string.

Methods inherited from class weblogic.apache.xpath.objects.XObject
`allowDetachToRelease, appendToFsb, boolWithSideEffects, castToType, create, create, destruct, detach, dispatchCharactersEvents, error, error, execute, fixupVariables, greaterThan, greaterThanOrEqual, iter, lessThan, lessThanOrEqual, mutableNodeset, nodelist, nodeset, notEquals, numWithSideEffects, rtf, rtf, rtree, rtree, toString, xstr`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### S_TRUE

    public static XBoolean S_TRUE

  A true boolean object so we don't have to keep creating them.

### S_FALSE

    public static XBoolean S_FALSE

  A true boolean object so we don't have to keep creating them.

Constructor Detail

### XBoolean

    public XBoolean(boolean b)

  Construct a XBoolean object.

  Parameters:
    `b` - Value of the boolean object

### XBoolean

    public XBoolean(java.lang.Boolean b)

  Construct a XBoolean object.

  Parameters:
    `b` - Value of the boolean object

Method Detail

### getType

    public int getType()

  Tell that this is a CLASS_BOOLEAN.

  Returns:
    type of CLASS_BOOLEAN
  Overrides:
    getType in class XObject

### getTypeString

    public java.lang.String getTypeString()

  Given a request type, return the equivalent string. For diagnostic purposes.

  Returns:
    type string "#BOOLEAN"
  Overrides:
    getTypeString in class XObject

### num

    public double num()

  Cast result object to a number.

  Returns:
    numeric value of the object value
  Overrides:
    num in class XObject

### bool

    public boolean bool()

  Cast result object to a boolean.

  Returns:
    The object value as a boolean
  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  Cast result object to a string.

  Returns:
    The object's value as a string
  Overrides:
    str in class XObject

### object

    public java.lang.Object object()

  Return a java object that's closest to the representation that should be handed to an extension.

  Returns:
    The object's value as a java object
  Overrides:
    object in class XObject

### equals

    public boolean equals(XObject obj2)

  Tell if two objects are functionally equal.

  Parameters:
    `obj2` - Object to compare to this
  Returns:
    True if the two objects are equal
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    equals in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference